%global pypi_name ledgerwallet

Name:          python-%{pypi_name}
Version:       0.5.0
Release:       %autorelease
BuildArch:     noarch
Summary:       A library to control Ledger devices
License:       MIT
URL:           https://github.com/LedgerHQ/ledgerctl
VCS:           git:%{url}.git
Source0:       %{pypi_source %pypi_name}
Patch1:        python-ledgerwallet-0001-FIXME-temporary-relax-deps.patch
BuildRequires: python3-devel
BuildRequires: python3-pytest

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary: %{summary}.

%description -n python3-%{pypi_name}
%{summary}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}

%check
# FIXME too old protobuf in Fedora, see patch no 1
#%%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/ledgerctl

%changelog
%autochangelog
